Subject: bug#56421: [PATCH] Make mouse-2 respect delete-selection mode

From: Visuwesh <[email-masked]>
Date: Thu, 07 Jul 2022 12:17:06 +0530

[வியாழன் ஜூலை 07, 2022] Juri Linkov wrote:

>> It is really convenient to follow up with a mouse-2 after a multi-click
>> mouse-1 to replace the region IMO.  No need to take your hands off the
>> mouse.
>
> Do you have additional customization that allows you to achieve this
> convenient behavior?  Such as setting select-active-regions to nil.

I can't think of any that is particularly special about my
customisation, but I have delete-selection-temporary-region, and
mouse-yank-at-point set to t.  I also have select-enable-clipboard set
to nil since I like to separate Emacs' kill-ring and the Xorg clipboard
but I don't think that is relevant here.